LibreOffice: HierarchyDataReadWriteAccess Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
HierarchyDataReadWriteAccess Service Referencepublished

provides read and write access to a fragment of the hierarchy data. More...

Inheritance diagram for HierarchyDataReadWriteAccess:

## Included Services
service | HierarchyDataReadAccess
| provides read access to a fragment of the hierarchy data

## Exported Interfaces
interface | com::sun::star::container::XNameContainer
| allows adding and removing of hierarchy data nodes, replacing of the value of hierarchy data node members, as well as obtaining the value of hierarchy data node members.
interface | com::sun::star::lang::XSingleServiceFactory
| gives access to all contents provided by this provider.
interface | com::sun::star::util::XChangesBatch
| allows managing changes within the hierarchy.
Exported Interfaces inherited from HierarchyDataReadAccess
interface | com::sun::star::container::XNameAccess
| gives access to the data members of a hierarchy data node.
interface | com::sun::star::container::XHierarchicalNameAccess
| gives access to the data members of a hierarchy data node as well as to any child nodes or to the data members of child nodes using a hierarchical name.
interface | com::sun::star::util::XChangesNotifier
| allows registering listeners that observe the hierarchy data source.
interface | com::sun::star::lang::XComponent
| allows controlling or observing the lifetime of the hierarchy data access object.

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XChangesNotifier
void | addChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| adds the specified listener to receive events when changes occurred.
void | removeChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| removes the specified listener.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name.
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments.
Public Member Functions inherited from XChangesBatch
void | commitChanges () raises ( com::sun::star::lang::WrappedTargetException )
| commits any pending changes.
boolean | hasPendingChanges ()
| checks whether this object has any pending changes that can be committed.
ChangesSet | getPendingChanges ()
| queries for any pending changes that can be committed.

## Detailed Description

provides read and write access to a fragment of the hierarchy data.

## Exported Interfaces

## ◆ HierarchyDataReadAccess

service HierarchyDataReadAccess

provides read access to a fragment of the hierarchy data

## Exported Interfaces

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer

allows adding and removing of hierarchy data nodes, replacing of the value of hierarchy data node members, as well as obtaining the value of hierarchy data node members.

Adding and removing must only be supported if the access object points to the "Children" data member of a node or to the root node. It will insert a new node or remove an existing one. If supported on data nodes, adding must add new data members to the node, removing must remove data members. However, the mandatory data members (Title, TargetURL, Children) must never be removable.

Replacing and getting values must be supported be every data node.

## ◆ com::sun::star::lang::XSingleServiceFactory

interface com::sun::star::lang::XSingleServiceFactory

gives access to all contents provided by this provider.

com::sun::star::lang::XSingleServiceFactory::createInstance() will create a new empty hierarchy data node. After it was created it's data members can be filled. Last, the node can be inserted as child of another node using com::sun::star::container::XNameContainer::insertByName().

There are no special arguments that must be supported by com::sun::star::lang::XSingleServiceFactory::createInstanceWithArguments()

## ◆ com::sun::star::util::XChangesBatch

interface com::sun::star::util::XChangesBatch

allows managing changes within the hierarchy.

com::sun::star::util::XChangesBatch::getPendingChanges() reports all changes within the hierarchy that are done through (direct or indirect) descendants of this element. The same set of changes is committed to persistent storage and/or made visible to other objects accessing the same data set, when com::sun::star::util::XChangesBatch::commitChanges() is invoked.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/HierarchyDataReadWriteAccess.idl